irccd - Feature #932

Create broken_plugin and broken_plugin_loader
10/25/2018 01:40 PM - David Demelier

Status: Closed Start date: 10/25/2018
Priority: Normal Due date:

Assignee: David Demelier % Done: 100%
Category: libirccd-test Estimated time: 2.00 hours
Target version: 3.0.0 Spent time: 1.00 hour
MFD after: Bookmark: @

MFD revision: Platform:

Branch: default

Description

For unit tests, it is handy to have broken plugin that throws exceptions. Some code is already duplicated in tests.

Associated revisions

Revision 815:28ff6¢cb5bf73 - 11/16/2018 09:08 PM - David Demelier
tests: add test_plugin_loader and broken_plugin, closes #3932 @1h

History

#1 - 10/30/2018 01:36 PM - David Demelier

- Category changed from tests to libirccd-test

#2 - 11/16/2018 03:45 PM - David Demelier
- % Done changed from 0 to 100

- Status changed from New to Resolved

Applied in changeset main|28ff6cb5bf734ae999d52ea9aab8180a09eed77e.

#3 - 11/16/2018 03:46 PM - David Demelier

- Status changed from Resolved to Closed
